﻿namespace Models;

public class Cell
{
    private int? _value;
    public int? Value {
        get => _value;
        set
        {
            if (value < 0)
            {
                throw new Exception("La valeur doit être supérieure à 0");
            }
            this._value = value;
        }
    }

    private bool IsDangerous { get; set; }

    public string? Background { get; set; }

    public Cell(bool isDangerous = false)
    {
        IsDangerous = isDangerous;
    }

    public bool GetCellType() => IsDangerous;
}